Bug 125576 - Empty recent characters in special characters dialog for bullet customization.
Summary: Empty recent characters in special characters dialog for bullet customization.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-05-29 12:31 UTC by Gülşah Köse
Modified: 2019-06-05 12:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2019-05-29 12:31:07 UTC
Description:
Recent characters part is empty although i have recent characters. That happens only bullet customization part. Everything is normal when we use special characters dialog for inserting special characters to directly into document. 

Steps to Reproduce:
1. Open impress
2. Insert a line and make it bulleted list (via sidebar button)
3. Select Format->Bullets and Numbering...
4. Click Characters button from the dialog.
5. Select a character.
6. Click OK for special characters dialog.
7. Click Characters button from the dialog again.

Actual Results:
Last selected character doen't seen on the recent characters part.

Expected Results:
We should see the last selected character into the recent characters part.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
It is a reggression. It works properly in Version: 6.0.7.3
Comment 1 raal 2019-06-01 10:41:53 UTC
Confirm with  Version: 6.3.0.0.alpha1+
Build ID: 53325b40b557cc84d8d21c1baa0ef8d3bfc00ab8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 2 raal 2019-06-01 11:06:01 UTC
This seems to have begun at the below commit.
Adding Cc: to Tamás Zolnai ; Could you possibly take a look at this one?
Thanks
 5a9c868873faf7ecbdcf3aa0eb7ab50547da8048 is the first bad commit
commit 5a9c868873faf7ecbdcf3aa0eb7ab50547da8048
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sun Dec 10 22:53:38 2017 +0100

    source sha:2432c550d203053214310a23630f89baecdff6cc

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-12-08 04:01:02 +0100
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-12-08 07:21:19 +0100
commit 2432c550d203053214310a23630f89baecdff6cc (patch)
tree 0acedc232b17514c024cabdf1d7b7c676fa56bba
parent 818f9e4017d16d6a48265638393dec4f9ed30649 (diff)
Update recent characters only when the selected character is inserted
Comment 3 Commit Notification 2019-06-01 13:56:28 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7dc6525fddc418359eefa2cd7c7ecbbd1269e8f6%5E%21

tdf#125576: Empty recent characters in special characters dialog...

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-06-04 12:22:26 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/391d83edb3e5b179968372bff83d828e13fa17ab%5E%21

tdf#125576: Empty recent characters in special characters dialog...

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-04 12:24:45 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4531b32e0b58933179408fcff779aabe659e50a9%5E%21

tdf#125576: Empty recent characters in special characters dialog...

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.